// Requires Node.js SDK v8.2.0 or later
import { AdminClient } from '@pinecone-database/pinecone';
// Reads PINECONE_CLIENT_ID and PINECONE_CLIENT_SECRET from the environment
const admin = new AdminClient();
const project = await admin.projects.describe('YOUR_PROJECT_ID');
console.log(project);
// Requires Go SDK v6.0.0 or later
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v6/pinecone"
)
func main() {
ctx := context.Background()
adminClient, err := pinecone.NewAdminClientWithContext(ctx, pinecone.NewAdminClientParams{
ClientId: os.Getenv("PINECONE_CLIENT_ID"),
ClientSecret: os.Getenv("PINECONE_CLIENT_SECRET"),
})
if err != nil {
log.Fatalf("Failed to create AdminClient: %v", err)
}
project, err := adminClient.Project.Describe(ctx, "YOUR_PROJECT_ID")
if err != nil {
log.Fatalf("Failed to describe project: %v", err)
}
fmt.Printf("Project: %v (%v)\n", project.Name, project.Id)
}
# Requires Terraform provider v4.0.0 or later
data "pinecone_project" "example" {
id = "YOUR_PROJECT_ID"
}
output "project_name" {
value = data.pinecone_project.example.name
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PROJECT_ID="3fa85f64-5717-4562-b3fc-2c963f66afa6"
curl -X GET "https://api.pinecone.io/admin/projects/$PROJECT_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "X-Pinecone-Api-Version: 2026-04" \
-H "accept: application/json"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "example-project",
"max_pods": 0,
"force_encryption_with_cmek": false,
"organization_id": "string",
"created_at": "2025-03-17T00:30:23.262Z"
}
Projects
Get project details
Get a project’s details.
GET
/
admin
/
projects
/
{project_id}
// Requires Node.js SDK v8.2.0 or later
import { AdminClient } from '@pinecone-database/pinecone';
// Reads PINECONE_CLIENT_ID and PINECONE_CLIENT_SECRET from the environment
const admin = new AdminClient();
const project = await admin.projects.describe('YOUR_PROJECT_ID');
console.log(project);
// Requires Go SDK v6.0.0 or later
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v6/pinecone"
)
func main() {
ctx := context.Background()
adminClient, err := pinecone.NewAdminClientWithContext(ctx, pinecone.NewAdminClientParams{
ClientId: os.Getenv("PINECONE_CLIENT_ID"),
ClientSecret: os.Getenv("PINECONE_CLIENT_SECRET"),
})
if err != nil {
log.Fatalf("Failed to create AdminClient: %v", err)
}
project, err := adminClient.Project.Describe(ctx, "YOUR_PROJECT_ID")
if err != nil {
log.Fatalf("Failed to describe project: %v", err)
}
fmt.Printf("Project: %v (%v)\n", project.Name, project.Id)
}
# Requires Terraform provider v4.0.0 or later
data "pinecone_project" "example" {
id = "YOUR_PROJECT_ID"
}
output "project_name" {
value = data.pinecone_project.example.name
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PROJECT_ID="3fa85f64-5717-4562-b3fc-2c963f66afa6"
curl -X GET "https://api.pinecone.io/admin/projects/$PROJECT_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "X-Pinecone-Api-Version: 2026-04" \
-H "accept: application/json"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "example-project",
"max_pods": 0,
"force_encryption_with_cmek": false,
"organization_id": "string",
"created_at": "2025-03-17T00:30:23.262Z"
}
// Requires Node.js SDK v8.2.0 or later
import { AdminClient } from '@pinecone-database/pinecone';
// Reads PINECONE_CLIENT_ID and PINECONE_CLIENT_SECRET from the environment
const admin = new AdminClient();
const project = await admin.projects.describe('YOUR_PROJECT_ID');
console.log(project);
// Requires Go SDK v6.0.0 or later
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v6/pinecone"
)
func main() {
ctx := context.Background()
adminClient, err := pinecone.NewAdminClientWithContext(ctx, pinecone.NewAdminClientParams{
ClientId: os.Getenv("PINECONE_CLIENT_ID"),
ClientSecret: os.Getenv("PINECONE_CLIENT_SECRET"),
})
if err != nil {
log.Fatalf("Failed to create AdminClient: %v", err)
}
project, err := adminClient.Project.Describe(ctx, "YOUR_PROJECT_ID")
if err != nil {
log.Fatalf("Failed to describe project: %v", err)
}
fmt.Printf("Project: %v (%v)\n", project.Name, project.Id)
}
# Requires Terraform provider v4.0.0 or later
data "pinecone_project" "example" {
id = "YOUR_PROJECT_ID"
}
output "project_name" {
value = data.pinecone_project.example.name
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PROJECT_ID="3fa85f64-5717-4562-b3fc-2c963f66afa6"
curl -X GET "https://api.pinecone.io/admin/projects/$PROJECT_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "X-Pinecone-Api-Version: 2026-04" \
-H "accept: application/json"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "example-project",
"max_pods": 0,
"force_encryption_with_cmek": false,
"organization_id": "string",
"created_at": "2025-03-17T00:30:23.262Z"
}
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Headers
Required date-based version header
Path Parameters
Project ID
Response
The details of a project.
The details of a project.
The unique ID of the project.
The name of the project.
Required string length:
1 - 512The maximum number of Pods that can be created in the project.
Whether to force encryption with a customer-managed encryption key (CMEK).
The unique ID of the organization that the project belongs to.
The date and time when the project was created.
Was this page helpful?
⌘I